<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Enable KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">KRS </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col-md-4 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Form</h3>
                            </div>
<!--                            <div class="col text-right">-->
<!--                                <a th:href="@{/academic/curriculum/form}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Tambah</a>-->
<!--                            </div>-->
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" th:action="@{/studiesActivity/krs/enable/save}">
                            <div class="form-group">
                                <label>Mahasiswa</label>
                                <select name="mahasiswa" id="mySelect2" required multiple="multiple" class="form-control">
                                    <option value=""></option>
                                    <option th:each="data : ${listMahasiswa}"
                                            th:text="${(data.nim) + ' - ' + (data.nama) + ' - ' + (data.idProdi.namaProdi)}"
                                            th:value="${data.id}"></option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Sampai tanggal : </label>
                                <input type="date" name="tanggalKadaluarsa" class="form-control" th:min="${tahun.tanggalMulaiKrs}">
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary"> Save</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-md-8 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0" th:text="${tahun.namaTahunAkademik}">Manajemn Bisnis</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studiesActivity/krs/list}" class="btn btn-default btn-sm"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Nim</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Tanggal Kadaluarsa</th>
                                    <th scope="col">Status</th>
                                    <th scope="col"></th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listKrs}">
                                    <td th:text="${(row.index + 1) + (listKrs.number * listKrs.size)}">1</td>
                                    <td th:text="${data.mahasiswa.nim}"></td>
                                    <td th:text="${data.mahasiswa.nama}">2020</td>
                                    <td th:text="${data.mahasiswa.idProdi.namaProdi}">2020</td>
                                    <td th:text="${#temporals.format(data.tanggalKadaluarsa, 'dd - MMM - yyyy')}">2020</td>
                                    <td th:if="${data.status == data.status.AKTIF}">
                                        <button class="btn btn-success btn-sm"> AKTIF</button>
                                    </td>
                                    <td th:if="${data.status == data.status.NONAKTIF}">
                                        <button class="btn btn-danger btn-sm">NONAKTIF</button>
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-warning btn-sm" data-toggle="modal" th:data-target="${'#modal-notification'+data.id}">
                                            <i class="fas fa-edit"></i>
                                        </button>

                                        <div class="modal fade" th:id="${'modal-notification'+data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered modal-" role="document">
                                                <div class="modal-content">

                                                    <form th:action="@{/studiesActivity/krs/enable/edit}" method="post">
                                                        <input type="hidden" th:value="${data.id}" name="enableKrs">
                                                        <div class="modal-header">
                                                            <h4 class="modal-title" id="modal-title-notification">Your attention is required</h4>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>

                                                        <div class="modal-body">
                                                            <div class="form-group">
                                                                <label>Sampai tanggal : </label>
                                                                <input type="date" name="tanggalKadaluarsa" th:value="${data.tanggalKadaluarsa}" class="form-control" th:min="${tahun.tanggalMulaiKrs}">
                                                            </div>
                                                        </div>

                                                        <div class="modal-footer">
                                                            <button type="submit" class="btn btn-primary">Save</button>
                                                            <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                        <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
</html>
<script >
    $(document).ready(function (){
        $('#mySelect2').select2();
    });
</script>